Qwen-Image-Edit-Plus(同步任务)
ali/qwen-image-edit-plus
同步任务:/v1/images/generations、/v1/images/edits,直接返回结果。
BASE URL
https://router.shengsuanyun.com/api认证方式
Authorization: Bearer YOUR_API_KEY端点列表
POST/v1/images/generationsAli 图像编辑-同步
同步接口:直接返回生成结果。
请求体
application/json
| 字段 | 类型 | 说明 |
|---|---|---|
prompt必填 | stringtextarea | |
negative_prompt | stringtextarea | |
image必填 | string | |
size | string | 可选值:"1664*928" · "1472*1140" · "1328*1328" · "1140*1472" · "928*1664" |
n | integer | |
watermark | boolean | |
model必填 | string | 路由模型,本页固定为 ali/qwen-image-edit-plus |
{
"prompt": "string",
"negative_prompt": "string",
"image": "string",
"size": "1328*1328",
"n": 1,
"watermark": false,
"model": "ali/qwen-image-edit-plus"
}请求示例
参考地址:https://router.shengsuanyun.com/api。路径参数与凭据需替换;非 JSON 请求体需按对应格式准备。
curl -X POST 'https://router.shengsuanyun.com/api/v1/images/generations' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
--data '{
"prompt": "string",
"negative_prompt": "string",
"image": "string",
"size": "1328*1328",
"n": 1,
"watermark": false,
"model": "ali/qwen-image-edit-plus"
}'响应
200 成功
400 请求参数错误
401 未授权(API Key 无效)
429 请求过于频繁
500 服务器内部错误
POST/v1/images/editsAli 图像编辑-同步
同步图像编辑接口:直接返回编辑结果。
请求体
application/json
| 字段 | 类型 | 说明 |
|---|---|---|
prompt必填 | stringtextarea | |
negative_prompt | stringtextarea | |
image必填 | string | |
size | string | 可选值:"1664*928" · "1472*1140" · "1328*1328" · "1140*1472" · "928*1664" |
n | integer | |
watermark | boolean | |
model必填 | string | 路由模型,本页固定为 ali/qwen-image-edit-plus |
{
"prompt": "string",
"negative_prompt": "string",
"image": "string",
"size": "1328*1328",
"n": 1,
"watermark": false,
"model": "ali/qwen-image-edit-plus"
}请求示例
参考地址:https://router.shengsuanyun.com/api。路径参数与凭据需替换;非 JSON 请求体需按对应格式准备。
curl -X POST 'https://router.shengsuanyun.com/api/v1/images/edits' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
--data '{
"prompt": "string",
"negative_prompt": "string",
"image": "string",
"size": "1328*1328",
"n": 1,
"watermark": false,
"model": "ali/qwen-image-edit-plus"
}'